<template>
  <div class="backup">
    <div class="backup-container">
      <div class="backup-secret">
        <span class="secret">{{ key2FA }}</span>
      </div>
      <div class="backup_description">
        <p class="description">{{ $t('otp.backup.desc')}}</p>
        <p class="note">{{ $t('otp.backup.note')}}</p>
      </div>
    </div>
    <div class="clearfix"></div>
    <div class="backup-footer">
      <div class="backup-footer-left">
        <button class="btn-step btn-prev-step" @click="$emit('previous')" type="button"><i class="fa fa-angle-left" aria-hidden="true"></i> {{ $t('otp.btnPrev')}} </button>
      </div>
      <div class="backup-footer-right">
        <span>{{ $t('otp.backup.footer')}}</span>
        <button @click="$emit('next')" type="button" class="btn-step btn-next-step">{{ $t('otp.btnNext')}} <i class="fa fa-angle-right" aria-hidden="true"></i></button>
      </div>
    </div>
  </div>
</template>
<script>
import { mapState } from 'vuex';

export default {
  computed: {
    ...mapState([
      'key2FA',
    ]),
  },
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';

  *{
    font-family: $font-family-home;
  }
  .backup {
    .backup-container {
      .backup-secret {
        width: 185px;
        height: 120px;
        float: left;
        background: $bg_white;
        display: table;
        span {
          display: table-cell;
          vertical-align: middle;
          font-size: 16px;
          font-weight: bold;
          font-style: normal;
          font-stretch: normal;
          line-height: 1.25;
          letter-spacing: normal;
          color: $black;
          text-align: center;
        }
      }
      .backup_description {
        float: left;
        width: 380px;
        margin-left: 25px;
        .description {
          font-size: 14px;
          font-weight: bold;
          font-style: normal;
          font-stretch: normal;
          line-height: 1.57;
          letter-spacing: normal;
          color: $gray;
          margin-top: 8px;
        }
        .note {
          font-size: 14px;
          font-weight: normal;
          font-style: normal;
          font-stretch: normal;
          line-height: 1.43;
          letter-spacing: normal;
          color: #da6400;
        }
      }
    }
    .backup-footer {
      width: 100%;
      position: absolute;
      right: 60px;
      bottom: 0;
      .backup-footer-left {
        width: 180px;
        float: left;
        margin-left: 120px;
      }
      .backup-footer-right {
        width: 400px;
        float: right;
        text-align: right;
        span {
          font-size: 14px;
          color: $thin_gray;
        }
      }
    }
  }
  .btn-step {
    outline: none;
  }
</style>
